Bug 918631 - cups-1.5.4-18.fc17.x86_6 and cups-files.conf broke function of cups
Summary: cups-1.5.4-18.fc17.x86_6 and cups-files.conf broke function of cups
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-06 16:01 UTC by Greg Ennis
Modified: 2013-08-01 12:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 12:51:00 UTC
Type: Bug


Attachments (Terms of Use)
This is the cupsd.conf file on the affected desktop unit after the Feb 26 update (22.81 KB, text/plain)
2013-03-06 18:31 UTC, Greg Ennis
no flags Details
THis is the original cupsd.conf file before the yum update on 02/26/2013 (22.80 KB, text/plain)
2013-03-06 19:14 UTC, Greg Ennis
no flags Details

Description Greg Ennis 2013-03-06 16:01:46 UTC
Description of problem:
During an automatic yum update of cups-1.5.4-18.fc17.x86_64 to a desktop Fc17 unit cups became disabled.

Feb 26 06:41:57 Updated: 1:cups-libs-1.5.4-18.fc17.x86_64
Feb 26 06:42:05 Updated: 1:cups-1.5.4-18.fc17.x86_64

In looking at the contents of the new cups-files.conf file the following additions were performed :
.....
.....
# End of "$Id$".
#

# Settings automatically moved from cupsd.conf by RPM package:
LogFilePerm 0600
Printcap /etc/printcap
ServerCertificate /etc/cups/ssl/server.crt
ServerKey /etc/cups/ssl/server.key

I could noly get cups to work by commenting the 4 bottom lines.  

It is noted that I also had an update of an F18 machine that did not include these four lines at the bottom of the new cups-files.conf file, and there was no interuption of service after the update of cups on the F18 machine.

Comment 1 Tim Waugh 2013-03-06 16:29:26 UTC
Those lines are all valid, and the only reason I can see for cupsd not to start is if the mentioned certificate/key files do not exist -- but in that case it should have failed to start before the upgrade as well.

Could you please attach /etc/cups/cupsd.conf?

Comment 2 Greg Ennis 2013-03-06 18:31:07 UTC
Created attachment 706196 [details]
This is the cupsd.conf file on the affected desktop unit after the Feb 26 update

Here is the cupsd.conf file on the affected Desktop unit.  I have two other F17 units, and one F18 desktop that did not have this problem, but there was no RPM update at the bottom of their cups-files.conf file.

Comment 3 Greg Ennis 2013-03-06 18:32:11 UTC
The certificate files do not exist, and they did not exist before the update

Comment 4 Greg Ennis 2013-03-06 19:14:05 UTC
Created attachment 706214 [details]
THis is the original cupsd.conf file before the yum update on 02/26/2013

Comment 5 Greg Ennis 2013-03-06 19:38:24 UTC
These were the log entries in the /var/log/messages file:
Mar  5 07:58:26 IrMd systemd[1]: Unit cups.service entered failed state.
Mar  5 07:58:26 IrMd cupsd: Unable to read configuration file - exiting!
Mar  5 07:58:26 IrMd systemd[1]: cups.service: main process exited, code=exited, statu

These were the log entreis in the /var/log/cups/error.log file:

C [05/Mar/2013:17:55:57 -0600] Unable to read /etc/cups/cups-files.conf
E [05/Mar/2013:18:25:18 -0600] File or directory for "ServerCertificate /etc/cups/ssl/

When I commented out the server certificate lines in cups-file.conf I was able to get cups to activate, but lpstat -a would still not give me any list of printers.  When I commented out all of the lines appened to cups-file.conf by RPM then I was able to get lpstat -a to give me a list of printers.

I never had the certificates active even when the old cupsd.conf file had the line items of the certificates active.  It looks to me like the new rev of cups is more sensitive, and less willing to run if things are not set up properly.  This would be a good thing from my point of view.

Comment 6 Tim Waugh 2013-03-11 10:39:37 UTC
The file seems to have been migrated correctly -- what seems to have changed is how strictly cupsd handles those particular directives.

Comment 7 Fedora End Of Life 2013-07-04 04:09:32 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2013-08-01 12:51:05 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.